Package com.independentsoft.office.word

# Enum Class ThemeColor

java.lang.Object
java.lang.Enum<ThemeColor>
com.independentsoft.office.word.ThemeColor

All Implemented Interfaces:
  `Serializable`, `Comparable<ThemeColor>`, `Constable`

public enum ThemeColor extends Enum<ThemeColor>
The Enum ThemeColor.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCENT_1`
  `ACCENT_2`
  `ACCENT_3`
  `ACCENT_4`
  `ACCENT_5`
  `ACCENT_6`
  `BACKGROUND_1`
  `BACKGROUND_2`
  `DARK_1`
  `DARK_2`
  `FOLLOWED_HYPERLINK`
  `HYPERLINK`
  `LIGHT_1`
  `LIGHT_2`
  `NONE`
  `TEXT_1`
  `TEXT_2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ThemeColor`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ThemeColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCENT_1

    public static final ThemeColor ACCENT_1

  - ### ACCENT_2

    public static final ThemeColor ACCENT_2

  - ### ACCENT_3

    public static final ThemeColor ACCENT_3

  - ### ACCENT_4

    public static final ThemeColor ACCENT_4

  - ### ACCENT_5

    public static final ThemeColor ACCENT_5

  - ### ACCENT_6

    public static final ThemeColor ACCENT_6

  - ### BACKGROUND_1

    public static final ThemeColor BACKGROUND_1

  - ### BACKGROUND_2

    public static final ThemeColor BACKGROUND_2

  - ### DARK_1

    public static final ThemeColor DARK_1

  - ### DARK_2

    public static final ThemeColor DARK_2

  - ### FOLLOWED_HYPERLINK

    public static final ThemeColor FOLLOWED_HYPERLINK

  - ### HYPERLINK

    public static final ThemeColor HYPERLINK

  - ### LIGHT_1

    public static final ThemeColor LIGHT_1

  - ### LIGHT_2

    public static final ThemeColor LIGHT_2

  - ### NONE

    public static final ThemeColor NONE

  - ### TEXT_1

    public static final ThemeColor TEXT_1

  - ### TEXT_2

    public static final ThemeColor TEXT_2

- ## Method Details

  - ### values

    public static ThemeColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ThemeColor valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null